Bug 186817 - [PATCH] devel/swig20: update to 2.0.12
Summary: [PATCH] devel/swig20: update to 2.0.12
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Kubilay Kocak
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-02-16 13:10 UTC by koobs
Modified: 2014-07-07 02:40 UTC (History)
1 user (show)

See Also:


Attachments
swig-2.0.12.patch (5.51 KB, patch)
2014-02-16 13:10 UTC, koobs
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description koobs 2014-02-16 13:10:00 UTC
devel/swig20: Update to 2.0.12

- Update to 2.0.12
- Remove C++11 patches (upstream) [1]

[1] https://github.com/swig/swig/issues/73

Port maintainer (jwbacon@tds.net) is cc'd.

Generated with FreeBSD Port Tools 1.00.2014.02.11 (mode: update, diff: ports)
Comment 1 Edwin Groothuis freebsd_committer 2014-02-16 13:10:07 UTC
Maintainer of devel/swig20,

Please note that PR ports/186817 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/186817

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2014-02-16 13:10:08 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Jason W. Bacon freebsd_committer 2014-02-16 15:43:58 UTC
Approved.

On 02/16/14 07:10, Edwin Groothuis wrote:
> Maintainer of devel/swig20,
>
> Please note that PR ports/186817 has just been submitted.
>
> If it contains a patch for an upgrade, an enhancement or a bug fix
> you agree on, reply to this email stating that you approve the patch
> and a committer will take care of it.
>
> The full text of the PR can be found at:
>      http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/186817
>


-- 
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
   Jason W. Bacon
   jwbacon@tds.net

   Circumstances don't make a man:
   They reveal him.
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
Comment 4 commit-hook freebsd_committer 2014-07-07 02:38:10 UTC
A commit references this bug:

Author: koobs
Date: Mon Jul  7 02:37:16 UTC 2014
New revision: 361017
URL: http://svnweb.freebsd.org/changeset/ports/361017

Log:
  devel/swig20: Update to 2.0.12

  - Update to 2.0.12
  - Remove C++11 support patches (upstreamed [1])

  Changes:

    https://github.com/swig/swig/blob/rel-2.0.12/CHANGES.current

  [1] https://github.com/swig/swig/issues/73

  PR:		186817
  Approved by:	maintainer

Changes:
  head/devel/swig20/Makefile
  head/devel/swig20/distinfo
  head/devel/swig20/files/patch-Lib__std__std_container.i
  head/devel/swig20/files/patch-Lib__std__std_map.i
  head/devel/swig20/files/patch-Lib__std__std_set.i
Comment 5 Kubilay Kocak freebsd_committer freebsd_triage 2014-07-07 02:40:13 UTC
Apologies for not getting this committed sooner Jason